<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class RegistroSalida extends Model
{
    use HasFactory;

    protected $table = 'registros_salidas';
    protected $primaryKey = 'id_salida';
    public $timestamps = false;

    protected $fillable = [
        'id_manguera',
        'id_usuario',
        'id_turno',
        'fecha_inicio',
        'saldo_inicial',
        'saldo_final',
        'precio_galon',
        'total',
        'observaciones',
    ];


    protected $casts = [
        'fecha_inicio' => 'datetime',
        'saldo_inicial' => 'decimal:3',
        'saldo_final' => 'decimal:3',
        'precio_galon' => 'decimal:2',
        'total' => 'decimal:2',
    ];


    public function manguera()
    {
        return $this->belongsTo(Manguera::class, 'id_manguera', 'id_manguera');
    }

    public function usuario()
    {
        return $this->belongsTo(User::class, 'id_usuario', 'id_usuario');
    }

    public function turno()
    {
        return $this->belongsTo(Turno::class, 'id_turno', 'id_turno');
    }
}

